<?php
	include("include/connect.php");
	include("include/config.php");
	include("include/fonctions.php");
?>
<!DOCTYPE html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<link rel="stylesheet" href="js/jquery/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="skins/<?php echo $skin;?>/styles.css" />

<title>NEOSCREEN V5.0</title>
<script type="text/javascript" src="js/swfobject.js"></script>
<script type="text/javascript" src="js/fonctions.js"></script>
<link rel="stylesheet" href="skins/<?php echo $skin;?>/easytree/ui.easytree.css" />
<link rel="stylesheet" type="text/css" href="js/jquery/tooltipster.css" />
<link rel="stylesheet" href="js/calendar/dhtmlxscheduler_flat.css" type="text/css" media="screen" title="no title" charset="utf-8">
<script src="js/jquery/jquery.js"></script>
<script src="js/jquery/jquery-ui.min.js"></script>
<script src="js/jquery/jquery.easytree.min.js"></script>
<script type="text/javascript" src="js/jquery/jquery.tooltipster.min.js"></script>
<script src="js/calendar/dhtmlxscheduler.js" type="text/javascript" charset="utf-8"></script>	
<script src="js/calendar/ext/dhtmlxscheduler_recurring.js" type="text/javascript" charset="utf-8"></script>
<script src="js/calendar/locale/locale_fr.js" type="text/javascript"></script>
<script src="js/calendar/locale/recurring/locale_recurring_fr.js" ></script>
<script src="js/calendar/ext/dhtmlxscheduler_minical.js" type="text/javascript"></script>
<script src="js/calendar/ext/dhtmlxscheduler_editors.js" type="text/javascript" charset="utf-8"></script>
<script src="js/calendar/ext/dhtmlxscheduler_all_timed.js" type="text/javascript" charset="utf-8"></script>
<script src="js/calendar/ext/dhtmlxscheduler_readonly.js" type="text/javascript" charset="utf-8"></script>

<link rel="stylesheet" type="text/css" href="js/calendar/common/dhtmlxCombo/dhtmlxcombo.css">
<script src="js/calendar/common/dhtmlxCombo/dhtmlxcombo.js"></script>

<script src="js/jquery/jquery.colorpicker.js"></script>
<link href="js/jquery/jquery.colorpicker.css" rel="stylesheet" type="text/css"/>

<!-- Plugin extensions -->
<script src="js/jquery/i18n/jquery.ui.colorpicker-fr.js"></script>
<script src="js/jquery/parts/jquery.ui.colorpicker-rgbslider.js"></script>
<script src="js/jquery/parts/jquery.ui.colorpicker-memory.js"></script>

<script>
function init_calendar(){
	
	$("#calendar").dhx_scheduler({
		details_on_create : true,
		details_on_dblclick :true,
		time_step : 5,
		/*first_hour : 7,
		last_hour : 19,*/
		occurrence_timestamp_in_utc : true,
		include_end_by : true,
		repeat_precise : true,
		all_timed: true,
		multi_day: true,
		prevent_cache: true,
		repeat_date : "%d/%m/%Y",
		xml_date:"%Y-%m-%d %H:%i",
		mode:"week"
	});		
	
	scheduler.config.icons_select = [
	   "icon_details",
	   "icon_delete"
	];		
	
	scheduler.locale.labels.section_playlist = "Choisir une playlist";
	scheduler.locale.labels.section_IdPod = "POD";
	scheduler.locale.labels.section_IdRep = "REP";
	scheduler.locale.labels.section_libelleplnew = "ou créer une playlist";
	scheduler.locale.labels.section_prio = "Prioritaire";	
	
	scheduler.form_blocks["my_editor"] = {
		render:function(sns) {
			return "<div class='dhx_cal_ltext' style='height:25px; padding:0; margin:0;'><input type='text'></div>";
		},
		set_value:function(node, value, ev) {
			node.childNodes[0].value = value || "";
		},
		get_value:function(node, ev) {
			return node.childNodes[0].value;
		},
		focus:function(node) {
			var a = node.childNodes[0];
			a.select();
			a.focus();
		}
	};				
}
	
function aff_calendar(id_pod, id_rep, id_rep_parent){	
	
		
	var full_lightbox = [
		{name:"playlist", options:scheduler.serverList("IdPlaylist"), map_to:"IdPlaylist", type:"combo", image_path:"./js/calendar/common/dhtmlxCombo/imgs/", height:23, filtering:true},
		{name:"libelleplnew", height:23, map_to:"libplnew", type:"textarea"},
		{name:"recurring", height:100, type:"recurring", map_to:"rec_type", button:"recurring"},
		{name:"prio", map_to:"prio", type:"checkbox", checked_value: "1", unchecked_value: "0", height:23 },			
		{name:"time", height:72, type:"time", map_to:"auto"},
		{name:"IdPod", height:0, map_to:"IdPod", type:"my_editor", default_value:id_pod},
		{name:"IdRep", height:0, map_to:"IdRep", type:"my_editor", default_value:id_rep}					
	];	

	scheduler.attachEvent("onBeforeLightbox", function(event_id) {
		scheduler.resetLightbox();			
		var ev = scheduler.getEvent(event_id);
		scheduler.config.lightbox.sections = full_lightbox;
		return true;
	});	
	
	scheduler.attachEvent("onLightbox", function(id) {
		var compteur=0;
		$(".dhx_wrap_section").each(function(){
			if(compteur>3){
				this.className="dhx_wrap_section2";
			}
			compteur++;
		})
	});		
	
	scheduler.attachEvent("onEventSave",function(id,ev,is_new){
		var idpl_selected=ev.IdPlaylist;
		var lib_plnew=ev.libplnew;			
		
		var val_form=false;
		
		if(idpl_selected>0 && lib_plnew=="") val_form=true;
		if(lib_plnew!="") val_form=true;	
		
		if(val_form){
			return true;
		} else {
			alert("Veuillez choisir une playlist existante ou en créer une nouvelle");
			return false;
		}			
	});				
	
	scheduler.form_blocks.my_editor.set_value=function(node,value,ev){;			
		node.firstChild.value=value||"";
		var style = ev.some_property?"":"none";
		node.style.display=style; // editor area
		node.previousSibling.style.display=style; //section header
		scheduler.setLightboxSize(); //correct size of lightbox
	}
	
	
	scheduler.clearAll();
	scheduler.load("events.php?id_pod="+id_pod+"&id_rep="+id_rep+"");

	var dp = new dataProcessor("events.php?id_pod="+id_pod+"&id_rep="+id_rep+"");
	dp.init(scheduler);	
	
}	
</script>


<style>
	.couleur_theme{
		color:<?php echo $couleur_skin;?>;
	}
	.fond_theme, .dhx_scale_bar, .dhx_cal_tab:hover, .dhx_cal_today_button:hover, .dhx_cal_tab.active, .dhx_cal_prev_button:hover, .dhx_cal_next_button:hover, .dhx_save_btn_set, .dhx_scale_holder_now, .dhx_drag_marker {
		background-color: <?php echo $couleur_skin;?>;
	}	
	.dhx_now .dhx_month_body, .dhx_now .dhx_month_head {
		background-color: rgba(<?php echo $couleur_skin_rvb[0];?>, <?php echo $couleur_skin_rvb[1];?>, <?php echo $couleur_skin_rvb[2];?>, 0.3);
	}
	.dhx_year_body .dhx_now .dhx_month_head{
		background-color: rgba(<?php echo $couleur_skin_rvb[0];?>, <?php echo $couleur_skin_rvb[1];?>, <?php echo $couleur_skin_rvb[2];?>, 1);
		color:#ffffff;
	}
	.dhx_mini_calendar .dhx_calendar_click {
		color:#ffffff;
		background-color: rgba(<?php echo $couleur_skin_rvb[0];?>, <?php echo $couleur_skin_rvb[1];?>, <?php echo $couleur_skin_rvb[2];?>, 0.3);
	}	
	.dhx_now .dhx_calendar_click{
		background-color: <?php echo $couleur_skin;?>;
		color:#ffffff;
	}
	.ligne_categ_box1:hover, .ligne_categ_box2:hover{
		background-image:url(skins/<?php echo $skin;?>/images/bg_alpha_noir20.png);	
	}	
	.ligne_categ_box3:hover{
		background-image:url(skins/<?php echo $skin;?>/images/bg_alpha_noir10.png);			
	}				
	.alpha70{
		background-image:url(skins/<?php echo $skin;?>/images/bg_alpha70.png);
	}
	.alpha50{
		background-image:url(skins/<?php echo $skin;?>/images/bg_alpha50.png);
	}	

	.dhx_cal_event div.dhx_footer{
		background-color: transparent !important;
	}
	.dhx_cal_event .dhx_body{
		background-color: <?php echo $couleur_skin;?> !important;
		-webkit-transition: opacity 0.1s;
		transition: opacity 0.1s;
		opacity: 0.8;
	}
	.dhx_cal_event .dhx_title{
		line-height: 12px;
		background-color: <?php echo $couleur_skin;?> !important;
	}
	.dhx_cal_event_line:hover,
	.dhx_cal_event:hover .dhx_body,
	.dhx_cal_event.selected .dhx_body,
	.dhx_cal_event.dhx_cal_select_menu .dhx_body{
		opacity: 1;
	}
	
	.dhx_cal_light_wide .dhx_wrap_section {
		border-top: 0;
		border-bottom: 1px solid #404448;
	}	
	.dhx_cal_light_wide .dhx_wrap_section2 {
		border-top: 0;
		border-bottom: 0px solid #ff0000;
	}	
	
	.dhx_cal_event.event_parent0 div, .dhx_cal_event_line.event_parent0{
		background-color: #000000 !important;
		border-color: #000000 !important;
	}
	.dhx_cal_event_clear.event_parent0{
		color:#000000 !important;
	}		
	
	.dhx_cal_event.event_parent div, .dhx_cal_event_line.event_parent{
		background-color: #4f5356 !important;
		border-color: #4f5356 !important;
	}
	.dhx_cal_event_clear.event_parent{
		color:#4f5356 !important;
	}		

</style>
</head>

<body onLoad="init_calendar()">
	<div id="conteneur">
        <div id="header">
            <?php include("include/header.php");?>            
        </div>
        
        <div id="centre"> 
        
            
            <div id="calendar" class="dhx_cal_container" style='width:50%; height:50%; position:absolute; z-index:9999; border:2px solid #ff0000;'>                
                  <div class="dhx_cal_navline">
                     <div class="dhx_cal_prev_button">&nbsp;</div>
                     <div class="dhx_cal_next_button">&nbsp;</div>
                     <div class="dhx_cal_today_button"></div>
                     <div class="dhx_cal_date"></div>
                     <div class="dhx_minical_icon" id="dhx_minical_icon" onclick="show_minical()">&nbsp;</div>
                     <div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
                     <div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
                     <div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
                  </div>
                  <div class="dhx_cal_header"></div>
                  <div class="dhx_cal_data"></div>                
            </div>                                   
        	
            <div id="dialog_calendar"></div>
            <div class="ui-widget-overlay" id="masque_calendar" style="display:none; position:absolute; z-index:100;"></div>

            
            <div id="bandeau_titre_rub">
                <div class="picto_rub"><img src="skins/neoscreen/images/modules/tdb_on.png" alt="" /></div>
                <div class="titre_rub">
                	<table cellpadding="0" cellspacing="0">
                    	<tr>
                        	<td>TABLEAU DE BORD > VOS NEOBOX</td>
                            <td class="td_img"><img src="skins/neoscreen/images/add.png" id="picto_add_neobox" onclick="modifie_box('')" onMouseOver="rollover_picto('<?php echo $skin;?>','add','over','neobox')" onMouseOut="rollover_picto('<?php echo $skin;?>','add','out','neobox')" title="Ajouter une nouvelle Neobox" style="cursor:pointer;"></td>
                        </tr>
                    </table>
                </div>			                
                
                <div class="filtres_tableau_bord">
                	<table cellpadding="1" cellspacing="0">
                    	<tr>
                        	<td>
                            	<select>
                                	<option>Toutes les Neobox</option>
                                    <option>Neobox ne remontant plus de traces</option>
                                </select>
                           </td>
                           <td><input type="text" id="rech_neobox" value="Rechercher une Neobox..." style="width:150px;" onClick="this.value='';" onKeyUp="recherche_neobox();"></td>
                        </tr>
                    </table>
                </div>
            </div>            
            
            <div id="accordion"></div>                     

        </div>
        
        <div id="footer"> 

    
			<?php include("include/footer.php");?>
        </div>
	</div>
<script>
$(function() {  	
	$("#accordion").load("tab_bord.php");		
});
</script>    

</body>
</html>